Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class XWorkMapPropertyAccessor

    java.lang.Object
      ognl.MapPropertyAccessor
          com.opensymphony.xwork2.util.XWorkMapPropertyAccessor

All Implemented Interfaces:
  ognl.PropertyAccessor

    public class XWorkMapPropertyAccessor

extends ognl.MapPropertyAccessor

Implementation of PropertyAccessor that sets and gets properties by storing and looking up values in Maps.

Author:
  Gabriel Zimmerman

Field Summary
`private static XWorkConverter` | `_converter`
`private static Log` | `_log`
`private static String[]` | `INDEX_ACCESS_PROPS`

Constructor Summary
`XWorkMapPropertyAccessor()`

Method Summary
`private boolean` | `contains(String[] array, String name)`
`private Object` | `getKey(Map context, Object name)`
`Object` | `getProperty(Map context, Object target, Object name)`
`private Object` | `getValue(Map context, Object value)`
`void` | `setProperty(Map context, Object target, Object name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    private static final Log _log

### INDEX_ACCESS_PROPS

    private static final String[] INDEX_ACCESS_PROPS

### _converter

    private static final XWorkConverter _converter

Constructor Detail

### XWorkMapPropertyAccessor

    public XWorkMapPropertyAccessor()

Method Detail

### getProperty

    public Object getProperty(Map context,
                              Object target,
                              Object name)
                       throws ognl.OgnlException

  Specified by:
    `getProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `getProperty` in class `ognl.MapPropertyAccessor`
  Throws:
    `ognl.OgnlException`

### contains

    private boolean contains(String[] array,
                             String name)

  Parameters:
    `array` -
    `name` -

### setProperty

    public void setProperty(Map context,
                            Object target,
                            Object name,
                            Object value)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `setProperty` in class `ognl.MapPropertyAccessor`
  Throws:
    `ognl.OgnlException`

### getValue

    private Object getValue(Map context,
                            Object value)

### getKey

    private Object getKey(Map context,
                          Object name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.